import * as plugins from '../plugins.js';
import type { SzPlatformClient } from '../classes.platformclient.js';

export class SzLetterConnector {
  public platformClientRef: SzPlatformClient;

  constructor(platformClientRefArg: SzPlatformClient) {
    this.platformClientRef = platformClientRefArg;
  }

  public async sendLetter(
    optionsArg: plugins.servezoneInterfaces.platformservice.letter.IRequest_SendLetter['request']
  ) {
    const typedRequest =
      this.platformClientRef.typedsocket.createTypedRequest<plugins.servezoneInterfaces.platformservice.letter.IRequest_SendLetter>(
        'sendLetter'
      );
    const response = await typedRequest.fire(optionsArg);
  }
}